#ifndef IMAGEVIEWER_H_INCLUDED
#define IMAGEVIEWER_H_INCLUDED

#include <string>
#include <thread>
#include <opencv2/opencv.hpp>
#include <opencv2/highgui.hpp>

class ImageViewer{
    cv::Mat* img;
    cv::Mat cimg;
    std::string name;
public:
    ImageViewer();
    ImageViewer(cv::Mat* _img, std::string _name);
    ImageViewer(cv::Mat _cimg, std::string _name);
    ~ImageViewer();
    void assignImage(cv::Mat* _img);
    void show(bool show=true);
    void refresh();
};

#endif // IMAGEVIEWER_H_INCLUDED
